<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Projects/Llamosi2016/M1_FitFS_Llamosi.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_7a6499598ddcfcabe96e224cb4a6d834.html">Projects</a></li><li class="navelem"><a class="el" href="../../dir_14cef3b922ba0db668f51262197138d9.html">Llamosi2016</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">M1_FitFS_Llamosi.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d70/_m1___fit_f_s___llamosi_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">function</span> []=<a class="code" href="../../d2/d70/_m1___fit_f_s___llamosi_8m.html#a4ed53d255451537aa172257cea4cfe37">M1_FitFS_Llamosi</a>()</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;initPaths</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno"><a class="line" href="../../d2/d70/_m1___fit_f_s___llamosi_8m.html#a4ed53d255451537aa172257cea4cfe37">    8</a></span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;% Get the GTS options: a default structure</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;GTSoptions=<a class="code" href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a>();</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;GTSoptions.FSopt.gloalgName=[];</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;GTSoptions.FSopt.algName=NLOPT_LN_NELDERMEAD;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;GTSoptions.FSopt.runtype=1;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;GTSoptions.FSopt.parWorkers=8;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;GTSoptions.compileflag=1;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;GTSoptions.FSopt.showStatus=1;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;GTSoptions.FSopt.optimTols=1e-6;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;GTSoptions.FSopt.bounded=[];</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;GTSoptions.GLS.max_iters=2;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;% Run first stage only</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;GTSoptions.runSecondStage=0;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;GTSoptions.SSopt.inpfiles={fname};</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;% Data to be used:</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;fname=[<span class="stringliteral">&#39;Data_full_Llamosi2016&#39;</span>];</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<a class="code" href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a>(<span class="stringliteral">&#39;Llamosi&#39;</span>, <span class="stringliteral">&#39;&#39;</span>, fname,GTSoptions)</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="a_call_run_g_t_s_8m_html_a58ebca8235214b8d1161e6d415989219"><div class="ttname"><a href="../../d6/d19/_call_run_g_t_s_8m.html#a58ebca8235214b8d1161e6d415989219">CallRunGTS</a></div><div class="ttdeci">function CallRunGTS(in model_name, in datafolder, in dataname, in GTSoptions)</div><div class="ttdoc">Call function to run GTS estimation %&gt; %&gt; More detailed description. %&gt; %&gt;</div></div>
<div class="ttc" id="a_m1___fit_f_s___llamosi_8m_html_a4ed53d255451537aa172257cea4cfe37"><div class="ttname"><a href="../../d2/d70/_m1___fit_f_s___llamosi_8m.html#a4ed53d255451537aa172257cea4cfe37">M1_FitFS_Llamosi</a></div><div class="ttdeci">function M1_FitFS_Llamosi()</div><div class="ttdoc">Fits the gene expression example @params data_id Data trial ID @params FigCase Figure setting @params...</div></div>
<div class="ttc" id="aget_g_t_soptions_8m_html_ae647b62533f002ee981fb9dc2fc63d7a"><div class="ttname"><a href="../../d3/d9c/get_g_t_soptions_8m.html#ae647b62533f002ee981fb9dc2fc63d7a">getGTSoptions</a></div><div class="ttdeci">function getGTSoptions()</div><div class="ttdoc">getGTSoptions initialses the options structure to be run in the GTS</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
